Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hammurapi.eventbus.snapshot
Interface Extractor

Show UML class diagram

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, SnapshotElement

All Known Subinterfaces:
  Predicate

All Known Implementing Classes:
  ExtractorImpl, PredicateImpl

    public interface Extractor

extends SnapshotElement

A representation of the model object 'Extractor'. Predicate.

The following features are supported:

- `Role`
- `Parts`
- `Parameter Indices`
- `Cost`

See Also:
  `SnapshotPackage.getExtractor()`

Method Summary
`Double` | `getCost()` Returns the value of the 'Cost' attribute.
`org.eclipse.emf.common.util.EList<Integer>` | `getParameterIndices()` Returns the value of the 'Parameter Indices' attribute list.
`org.eclipse.emf.common.util.EList<Extractor>` | `getParts()` Returns the value of the 'Parts' containment reference list.
`String` | `getRole()` Returns the value of the 'Role' attribute.
`void` | `setCost(Double value)` Sets the value of the '`Cost`' attribute.
`void` | `setRole(String value)` Sets the value of the '`Role`' attribute.

Methods inherited from interface com.hammurapi.eventbus.snapshot.SnapshotElement
`getDetails, getId, getName, getSnapshot, setDetails, setId, setName, setSnapshot`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getRole

    String getRole()

  Returns the value of the 'Role' attribute. For composite/facade predicates role is the role of child in the parent.

  Returns:
    the value of the 'Role' attribute.
  See Also:
    `setRole(String)`, `SnapshotPackage.getExtractor_Role()`

### setRole

    void setRole(String value)

  Sets the value of the '`Role`' attribute.

  Parameters:
    `value` - the new value of the 'Role' attribute.
  See Also:
    `getRole()`

### getParts

    org.eclipse.emf.common.util.EList<Extractor> getParts()

  Returns the value of the 'Parts' containment reference list. The list contents are of type `Extractor`. Predicate parts (for composite/comparison/complex predicates).

  Returns:
    the value of the 'Parts' containment reference list.
  See Also:
    `SnapshotPackage.getExtractor_Parts()`

### getParameterIndices

    org.eclipse.emf.common.util.EList<Integer> getParameterIndices()

  Returns the value of the 'Parameter Indices' attribute list. The list contents are of type `Integer`.

  If the meaning of the 'Parameter Indices' attribute list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Parameter Indices' attribute list.
  See Also:
    `SnapshotPackage.getExtractor_ParameterIndices()`

### getCost

    Double getCost()

  Returns the value of the 'Cost' attribute.

  If the meaning of the 'Cost' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Cost' attribute.
  See Also:
    `setCost(Double)`, `SnapshotPackage.getExtractor_Cost()`

### setCost

    void setCost(Double value)

  Sets the value of the '`Cost`' attribute.

  Parameters:
    `value` - the new value of the 'Cost' attribute.
  See Also:
    `getCost()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD